--------------------------------------------------------------------------------
-- Code developed by Generis Technology Limited
--
-- Product Name: B-Smart
--
-- Component Name: Meter Asset Manager
--
-- Description: Script to regress MDD change 13/348
--
-- Parameters : 1 - Home directory of the B-Smart installation (typically $MDB_HOME)
--
-- Amendment History:                   Date        Author            Vers
-- ------------------                   ---------   -------           -----
-- B-Smart Initial Release              20/08/2013  M Davenport        10.0.004
--------------------------------------------------------------------------------
--
-- SET SERVEROUTPUT ON SIZE 1000000
SET VERIFY OFF
--
--
PROMPT
PROMPT Script to regress MDD change 13/348
PROMPT
PROMPT Version 10.0.004
PROMPT
--
-- DEFINE mdb_home = &1
--
PROMPT
PROMPT Delete NRZ as SUP and GAO.  (MDD 13/348)
PROMPT
--
SET SCAN OFF
--
DECLARE
  invalid_column      EXCEPTION;
  is_snapshot         EXCEPTION;
  row_exists          EXCEPTION;
  PRAGMA EXCEPTION_INIT(invalid_column, -904);
  PRAGMA EXCEPTION_INIT(is_snapshot, -1732);
  PRAGMA EXCEPTION_INIT(row_exists, -1);


BEGIN
       EXECUTE IMMEDIATE 'DELETE FROM MARKET_PARTICIPANT_IN_ROLE 
                       WHERE MARKET_PARTICIPANT_CODE = ''NRZ''
                       AND MARKET_PARTICIPANT_ROLE_CODE = ''SUP''';

EXECUTE IMMEDIATE 'DELETE FROM MARKET_PARTICIPANT_IN_ROLE 
                       WHERE MARKET_PARTICIPANT_CODE = ''NRZ''
                       AND MARKET_PARTICIPANT_ROLE_CODE = ''GAO''';


    EXECUTE IMMEDIATE 'DELETE FROM MARKET_PARTICIPANT 
                     WHERE MARKET_PARTICIPANT_CODE = ''NRZ''';

EXCEPTION
  WHEN is_snapshot OR invalid_column THEN
    NULL;
END;
/
--
SET SCAN ON
--
COMMIT
/
--
SET VERIFY ON
--

